import { defineConfig } from "vite";
import react from "@vitejs/plugin-react";
import dts from "vite-plugin-dts";

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [react(), dts()],
  server: {
    port: 3004,
  },
  build: {
    lib: {
      entry: "src/lib.ts",
      name: "annotate-dev-react",
      fileName: "annotate-dev-react",
    },
    rollupOptions: {
      external: ["react"],
      output: {
        globals: {
          react: "React",
        },
      },
    },
  },
});
